cmake_minimum_required(VERSION 3.20)

set(CMAKE_CXX_FLAGS "-std=c++26 -Wno-error -Oz -w -g -mavx2")
file(GLOB_RECURSE FORESPEND_SOURCES CONFIGURE_DEPENDS "src/*.cpp")
add_executable(forespend ${FORESPEND_SOURCES})
if(NOT DEFINED ${ARCH})
    set(ARCH "linux-64")
endif(NOT DEFINED ${ARCH})
set_target_properties(forespend PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY "${CMAKE_SOURCE_DIR}/built/forespend/${PLATFORM_DIR}/bin"
)

target_link_directories(
        forespend PUBLIC
        "${CMAKE_SOURCE_DIR}/link")
target_link_libraries(forespend PRIVATE
        enginend
        raylib
)
target_include_directories(forespend PUBLIC
        ${CMAKE_SOURCE_DIR}/include
)